Package org.eclipse.microprofile.metrics.tck.metrics

## Class ConcreteTimedBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.ConcreteTimedBeanTest

    public class ConcreteTimedBeanTest
    extends Object

### Constructor Summary

Constructors
`ConcreteTimedBeanTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `callExtendedTimedMethodOnce​(MetricRegistry registry)`
`void` `callTimedMethodOnce​(MetricRegistry registry)`
`void` `extendedTimedMethodNotCalledYet​(MetricRegistry registry)`
`void` `instantiateTest()`
`void` `timedMethodNotCalledYet​(MetricRegistry registry)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcreteTimedBeanTest

    public ConcreteTimedBeanTest()

### Method Detail

#### instantiateTest

    public void instantiateTest()

#### timedMethodNotCalledYet

    @InSequence(1)
    public void timedMethodNotCalledYet​(MetricRegistry registry)

#### extendedTimedMethodNotCalledYet

    @InSequence(2)
    public void extendedTimedMethodNotCalledYet​(MetricRegistry registry)

#### callTimedMethodOnce

    @InSequence(3)
    public void callTimedMethodOnce​(MetricRegistry registry)

#### callExtendedTimedMethodOnce

    @InSequence(4)
    public void callExtendedTimedMethodOnce​(MetricRegistry registry)